
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$A-commerce-Dashboard-primary: mat-palette($mat-indigo);
$A-commerce-Dashboard-accent: mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$A-commerce-Dashboard-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$A-commerce-Dashboard-theme: mat-light-theme($A-commerce-Dashboard-primary, $A-commerce-Dashboard-accent, $A-commerce-Dashboard-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($A-commerce-Dashboard-theme);

/* You can add global styles to this file, and also import other style files */
@font-face {
    font-family: NanumBold;
    src: url(assets/Nanum_Myeongjo/NanumMyeongjo-Bold.ttf) format("opentype");
}
@font-face {
    font-family: NanumExBo;
    src: url(assets/Nanum_Myeongjo/NanumMyeongjo-ExtraBold.ttf) format("opentype");
}
@font-face {
    font-family: NanumRegu;
    src: url(assets/Nanum_Myeongjo/NanumMyeongjo-Regular.ttf) format("opentype");
}

@font-face {
    font-family: NanumGoBo;
    src: url(assets/Nanum_Gothic/NanumGothic-Bold.ttf) format("opentype");
}
@font-face {
    font-family: NanumGoExBo;
    src: url(assets/Nanum_Gothic/NanumGothic-ExtraBold.ttf) format("opentype");
}
@font-face {
    font-family: NanumGoRe;
    src: url(assets/Nanum_Gothic/NanumGothic-Regular.ttf) format("opentype");
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

.popup_class {
    max-height: 100vh;
    max-width: 800px!important;
    position: relative;
    
}